@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");
:root{
    --primary-color:#006400;
    --secondary-color:#f3f3f3;
}
body{
    font-family: "Poppins", system-ui;
    color: #333333;
}
.logo-img{
    width: 4.5rem;
    height: 4.5rem;
}
.logo-title{
  cursor: pointer;
    font-size: 1.25rem;
    font-weight: 600;
}
.footer-logo{
    width: 5rem;
    height: 5rem;
}
.footer-title{
    color: var(--secondary-color);
    font-size: 1.25rem;
    font-weight: 600;
}
.font-color{
    color: var(--primary-color);
}
.web-primary{
    background-color: var(--primary-color);
    color: var(--secondary-color);
}
.social-icon{
    background-color: var(--primary-color);
    color: var(--secondary-color);
    padding: 0.70rem 0.90rem;
    border-radius: 50%;
    font-size: 0.95rem;
}
.social-detail span a:hover{
  color: var(--primary-color);
}
.navbar{
    --bs-navbar-toggler-border-color:var(--secondary-color);
    --bs-navbar-toggler-icon-bg: url('../svg/navtoggle.svg');
}
.navbar-toggler:focus{
    box-shadow: 0 0 0 0.25rem var(--secondary-color);
}
.bg-nav.bg-body-tertiary{
    background-color: var(--primary-color) !important;
}
.nav_menu.nav-link{
    --bs-nav-link-color: var(--secondary-color);
    --bs-navbar-active-color: var(--secondary-color);
}
.nav_menu.nav-link{
  position: relative;
  border-bottom: none;
  transition: color 0.3s ease;
  font-size: 1rem;
  font-weight: 500;
}
.nav_menu.nav-link::before {
content: "";
position: absolute;
left: 50%; /* Start at the center */
bottom: 0;
transform: translateX(-50%) scaleX(0); /* Center and scale down */
transform-origin: center; /* Origin at the center */
width: 100%; /* Full width for scaling effect */ 
height: 2px;
background-color: var(--secondary-color);
transition: transform 0.3s ease; /* Animate the transform */
}
.nav_menu.nav-link:hover{
  color: var(--secondary-color);
  font-weight: 600;
}
.nav_menu.nav-link:hover::before {
transform: translateX(-50%) scaleX(1); /* Scale to full width */
}
.nav_drop.dropdown-menu{
  left: 50%;
  transform: translateX(-50%);
  --bs-dropdown-padding-x: 0.5rem;
  --bs-dropdown-spacer:0.750rem;
  --bs-dropdown-bg:var(--primary-color);
  --bs-dropdown-link-color:var(--secondary-color);
  --bs-dropdown-color:var(--secondary-color);
  --bs-dropdown-link-hover-color: var(--primary-color);
  --bs-dropdown-link-active-bg:var(--secondary-color);
  --bs-dropdown-link-active-color:var(--primary-color);
  --bs-dropdown-border-radius:none;
  text-align:center;
  font-size: 0.95rem;
}
.text-bg-theme{
    background-color: var(--primary-color);
}
.btn-web.btn-primary{
    --bs-btn-bg: var(--secondary-color);
    --bs-btn-color: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-hover-color: var(--secondary-color);
    --bs-btn-hover-border-color: var(--secondary-color);
    --bs-btn-border-width:2px;
    --bs-btn-border-radius: none;
}
.btn-theme.btn-primary{
    --bs-btn-bg: var(--primary-color);
    --bs-btn-color: var(--secondary-color);
    --bs-btn-border-color: var(--secondary-color);
    --bs-btn-hover-bg: var(--secondary-color);
    --bs-btn-hover-color: var(--primary-color);
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-border-width:2px;
    --bs-btn-border-radius: none;
}
.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: var(--secondary-color);
    display: flex;
    justify-content: center;
    align-items: center;
}

  .swiper-slide img.slider-img {
    display: block;
    width: 100%;
    height: 85vh;
    object-fit: cover;
}
  .swiper_theme{
  --swiper-theme-color:var(--primary-color);
  --swiper-navigation-color: var(--primary-color);
  --swiper-pagination-bullet-inactive-color:var(--secondary-color);
  --swiper-pagination-bullet-inactive-opacity:1;
  --swiper-pagination-color: var(--primary-color);
}
  .swiper-button-next:after, .swiper-button-prev:after{
    padding: 0.75rem;
    background-color: var(--secondary-color);
}
.bg_footer{
    background-color: var(--primary-color);
  }
  .m_y2{
    margin-top: 4rem;
    margin-bottom: 4rem;
  }
  .form-control{
    --bs-border-radius:0;
    --bs-border-color:black;
  }
  .form-control:focus{
    border-color:var(--secondary-color);
    box-shadow: inset 0 1px 1px var(--secondary-color), 0 0 8px var(--primary-color);
  }
  .form-check-input:checked{
    background-color: var(--primary-color);
    border-color: var(--primary-color);
  }
  .form-check-input:focus{
    box-shadow:none;
  }
  .card-brdcrmbs.card{
    --bs-card-border-width:none;
    --bs-card-border-radius:none;
    --bs-card-inner-border-radius:none;
  }
  .card-brdcrmbs .card-img{
    height: 45vh;
    object-fit: cover;
  }
  .card-padding{
    padding-top: 6rem;
    padding-bottom: 6rem;
  }
  .bread-divider{
    --bs-breadcrumb-divider: '>';
    --bs-breadcrumb-divider-color: var(--secondary-color) !important;
    --bs-breadcrumb-item-active-color: var(--secondary-color) !important;
  }
  .gallery-img {
    width: 100%;
    height: 40vh;
    object-fit: cover;
    transform: scale(1);
    transition: transform 0.3s ease-in-out;
  }
  .gallery-img:hover {
    transform: scale(1.1);
  }
  .bg-web{
    background-color: var(--primary-color);
  }
  .choose-card.card{
    --bs-card-height:100%;
    --bs-card-bg:var(--primary-color);
    --bs-card-color:var(--secondary-color);
    --bs-card-cap-padding-y:2rem;
    --bs-card-border-radius:none;
    --bs-card-border-color:var(--secondary-color);
  }
  .choose-card.card:hover{
    --bs-card-bg:var(--secondary-color);
    --bs-card-color:var(--primary-color);
    --bs-card-border-color:var(--primary-color);
  }
  .choose-card.card:hover .card-img-top{
    padding: 0.5rem;
    border: 2px solid var(--primary-color);
  }
  .choose-card .card-img-top{
    width: 3.50rem;
    height: 3.50rem;
  }
  .choose-card .card-body h5.card-title{
    font-weight: 500;
    font-size: 0.99rem;
  }
  .choose-card.card:hover .card-body h5.card-title::after{
    content: '';
    display: block;
    width: 50%;
    height: 1.5px;
    background-color: var(--primary-color);
    margin: 0.10rem auto 0;
  }
  .choose-card .card-body p.card-text{
    font-weight: 350;
    font-size: 0.85rem;
  }
  .swiper-slide img.slider-project-img{
    display: block;
    width: 100%;
    height: 75vh;
    object-fit: cover;
  }
  .project-info table.table-bordered{
    border-color: var(--primary-color);
  }
  .project-pagination .pagination{
    --bs-pagination-color: var(--primary-color);
    --bs-pagination-hover-color: var(--primary-color);
    --bs-pagination-border-color: black;
    --bs-pagination-hover-border-color: var(--primary-color);
    --bs-pagination-active-bg: var(--primary-color);
    --bs-pagination-active-border-color: var(--primary-color);
    --bs-pagination-focus-color: var(--primary-color);
  }
  
  .card-testimonial{
    width: 100%;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
  }
  .swiper-testimonial.swiper-slide{
    font-size: 1rem;
  }
  .swiper-testimonial.swiper-slide img{
    display: block;
    width: 4rem;
    height: 4rem;
    object-fit: contain;
  }
  .testimonial-swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active{
    background: var(--primary-color) !important;
  }
  .bg_footer{
    background-color: var(--primary-color);
  }
  .contact-details-font i{
      color: var(--primary-color);
  }
  .contact-details-font div span{
      color: var(--primary-color);
  }
  .contact-details-font div a{
      color: var(--primary-color);
  }
/* Mobile or Smartphones */
@media screen and (max-width: 576px){
   .logo-title{
       font-size:1.10rem;
   }
  .social-icon{
    padding: 0.60rem 0.70rem;
    font-size: 0.90rem;
  }
  .social-detail b{
      font-size: 0.90rem;
  }
  .social-detail span a{
      font-size: 0.75rem;
  }
    .swiper-slide img.slider-img{
      height: 40vh;
      object-fit: fill;
  }
  .gallery-img{
      height: 20vh;
  }
  .swiper-slide img.slider-project-img{
    height: 40vh;
    object-fit: fill;
  }
  .project-info .project-title{
    font-size: 0.95rem;
  }
  .project-info .project-description{
    font-size: 0.90rem;
  }
   .card-brdcrmbs .card-img{
    height: 30vh;
    object-fit: fill;
  }
}
/* Tablet */
@media (min-width: 577px) and (max-width: 768px){
    .social-icon{
        padding: 0.60rem 0.70rem;
        font-size: 0.85rem;
    }
    .social-detail b{
        font-size: 0.90rem;
    }
    .social-detail span a{
        font-size: 0.75rem;
    }
    .swiper-slide img.slider-img{
        height: 60vh;
        object-fit: fill;
    }
    .swiper-slide img.slider-project-img{
      height: 65vh;
      object-fit: fill;
    }
    .project-info span.project-info-title{
        font-size: 0.95rem;
        width: 40%;
    }
    .project-info span.project-info-description{
      font-size: 0.90rem;
      width: 70%;
    }
    .card-brdcrmbs .card-img{
    height: 40vh;
    object-fit: fill;
  }
}
/* Laptops */
@media (min-width: 769px) and (max-width: 1024px) {
  .project-info span.project-info-title {
    font-size: 1rem;
    width: 35%;
  }
  .project-info span.project-info-description {
    font-size: 0.95rem;
    width: 65%;
  }
}